Patch Settlement

Update the payment status of a specific settlement.

  • payment_status: The new payment status to set on the settlement.
    Note that only specific status changes are possible (requesting other status transitions would result a 400 response):

    • From any status to the same status (for example from "UNSETTLED" to "UNSETTLED")
    • From "UNSETTLED" to any other status.
    • From "UNVERIFIED" to "FAILED"
    • From "UNVERIFIED" to "VERIFIED"
  • processor_transaction_id: The transaction ID of the settlement in the portal's processor.
    This field can then later be used for tracking settlements easily.
    Note that this field can be updated only if the settlement's current status is "UNSETTLED".

  • failure_reason: The reason why the settlement transaction has failed (if it failed).
    Note that when updating this field on a settlement it will only work if its new status is "FAILED".,

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Body Params

This model is accepted as a request body when updating a settlement.

string
enum
required

The status of the settlement, possible values are:

  • 'UNSETTLED': Settlements that were not charged from Livble yet.
  • 'UNVERIFIED': Settlements that were charged and are still processing.
  • 'FAILED': Settlements that were charged but the transaction failed.
  • 'VERIFIED': Settlements that were charged and the transaction was completed successfully.
Allowed:
string

The ID of the settlement's transaction in your ACH processor.
This field can then be used to query settlements easily.
Note that when updating this field on a settlement it will only work if its current status is 'UNSETTLED'.

string

Reason why the settlement transaction has failed (if it failed).
Note that when updating this field on a settlement it will only work if its new status is 'FAILED'.

Responses

401

Unauthorized

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json